Mail archive
alpine-aports

[alpine-aports] [PATCH 3/9] testing/py-opengl-accelerate: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sun, 24 Apr 2016 23:23:03 +0000

---
 testing/py-opengl-accelerate/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/py-opengl-accelerate/APKBUILD
diff --git a/testing/py-opengl-accelerate/APKBUILD b/testing/py-opengl-accelerate/APKBUILD
new file mode 100644
index 0000000..721329d
--- /dev/null
+++ b/testing/py-opengl-accelerate/APKBUILD
_at_@ -0,0 +1,31 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=py-opengl-accelerate
+pkgver=3.1.1
+_pkgreal=PyOpenGL-accelerate-${pkgver}a1
+pkgrel=0
+pkgdesc="OpenGL bindings for Python (Cython extensions)"
+url="http://pyopengl.sourceforge.net/"
+arch="all"
+license="BSD"
+depends="cython"
+depends_dev=""
+makedepends="cython-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/P/PyOpenGL-accelerate/$_pkgreal.tar.gz"
+
+builddir="$srcdir"/$_pkgreal
+build() {
+	cd "$builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="04e52af352dd078275a2d5720c4afea2  PyOpenGL-accelerate-3.1.1a1.tar.gz"
+sha256sums="3d37af9f2565febf214e1da2a5fe019561992d34026ce2a5f51972e121b84cdd  PyOpenGL-accelerate-3.1.1a1.tar.gz"
+sha512sums="6881e3b435da5a33ff31c0991f403166236b44a5bd21ca60418d131dafc1159d6b1c73e60b935d1761d4fc848b824422abbe0e850fe860fa694b64536dddc35c  PyOpenGL-accelerate-3.1.1a1.tar.gz"
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Apr 24 2016 - 23:23:03 GMT